using System.Collections.Generic;
using Cysharp.Threading.Tasks;
using UnityEngine;
using Enums;
using Structs;

namespace Services.Interfaces {
    public interface IMatchService {
        List<Gem> CurrentMatches { get; }
        UniTask<List<Vector2Int>> GetMatchPositionsAsync(List<Vector2Int> protectedPositions);
        bool MatchesAt(Vector2Int positionToCheck, GemType gemTypeToCheck);
        void FindAllMatches();
    }
}